:root {
    --bg: #494b4a;
    --text: #ffffff;
}

/* ------------------------
   Hamburger Button
------------------------ */

.menu-btn {
    position: fixed;
    top: 50px;
    right: 85px;

    width: 80px;
    height: 30px;

    cursor: pointer;
    z-index: 10000;
}

.menu-btn span {
    position: absolute;
    left: 0;

    width: 100%;
    height: 1px;

    background: #fff;

    transition: .4s ease;
}

.menu-btn span:nth-child(1) {
    top: 0;
}

.menu-btn span:nth-child(2) {
    top: 15px;
}

.menu-btn span:nth-child(3) {
    top: 30px;
}

.menu-btn.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
}

.menu-btn.active span:nth-child(2) {
    opacity: 0;
}

.menu-btn.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

/* ------------------------
   Fullscreen Menu
------------------------ */

.nav {
    position: fixed;
    inset: 0;

    background: #494b4a;

    display: flex;
    align-items: center;

    opacity: 0;
    visibility: hidden;

    transition: .5s ease;

    z-index: 9990;
}

.nav.active {
    opacity: 1;
    visibility: visible;
}

/* ------------------------
   Menu List
------------------------ */

.nav ul {
    list-style: none;
    margin-left: 10vw;
}

.nav li {
    margin: 22px 0;
}

.nav a {
    position: relative;

    color: #fff;
    text-decoration: none;
    font-family: "Hiragino Sans", "Yu Gothic", "Meiryo", "Noto Sans JP";
    font-size: clamp(60px, 5vw, 50px);
    font-weight: 100;

    letter-spacing: .02em;
    line-height: 0.7;

    display: inline-block;
}

.nav a::after {
    content: "";

    position: absolute;
    left: 0;
    bottom: -8px;

    width: 0;
    height: 1px;

    background: #fff;

    transition: .3s;
}

.nav a:hover::after {
    width: 100%;
}

/* ------------------------
   Footer
------------------------ */

.footer-right {
    position: absolute;

    right: 40px;
    bottom: 30px;

    color: #fff;
    font-size: 14px;
    font-family: Arial, Helvetica, sans-serif;
    opacity: .7;
}

/* ------------------------
   Mobile
------------------------ */

@media (max-width:768px) {

    .menu-btn {
        top: 40px;
        right: 20px;

        width: 50px;
    }

    .nav a {
        font-size: clamp(40px, 8vw, 20px);
        letter-spacing: 0pt;
        line-height: 0.5;
        font-weight: 100;
    }

}